LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-08-2013, 11:05 AM   #1
jddancks
LQ Newbie
 
Registered: Jan 2013
Location: Central NY
Distribution: Mac, debian
Posts: 28

Rep: Reputation: Disabled
Trying to install bro IDS having trouble reading/locating OpenSSL library


Got the source, It said it couldn't find OpenSSL on my system I assume it means it will only take the OpenSSL version of SSL, because clearly there isn't a *nix out there without ssl. So I installed that. I got no reported errors. Bro IDS source (I didn't a distribution for PowerPC debian squeeze under available packages) still couldn't find it. I try linking it to the source file instead. That got me past the error but now its saying its an older version of OpenSSL, older than 0.9.8. I got it directly from the website it said 1.0.1, released Feb 11 2012. IDK what to do, other than look for another IDS, but I read good things about BRO, I really don't want to look around.

This was for a school project, I wanted to investigate using BRO to detect scripting attacks, on the server or even clients visiting the site, and see how well it did. This is nuts. I'm on a timeframe I need help asap.
 
Old 11-14-2013, 01:43 AM   #2
unSpawn
Moderator
 
Registered: May 2001
Posts: 28,447
Blog Entries: 54

Rep: Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243Reputation: 3243
When you post something like that you should include diagnostics like command lines, locations you got the source(s) from, make and linker output (showing you forced -I and -L if necessary), selected ldconf output and ldd output.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Hi from the Bro-IDS project! remor LinuxQuestions.org Member Intro 0 12-29-2011 09:49 PM
[SOLVED] trouble with php5-gd library install nkd Linux - Software 2 10-09-2011 12:16 PM
Could not find working OpenSSL library, please install or check config.log -newb ques botman SUSE / openSUSE 4 10-19-2005 05:03 PM
xscreensaver install trouble: library dependencies marquitico Linux - Newbie 4 08-26-2005 08:28 PM
Installing Bro IDS on RH 9 Wildhare Linux - Software 0 07-17-2004 09:28 AM


All times are GMT -5. The time now is 01:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration